<template>
<v-container>
  <v-breadcrumbs :items="items" class="pl-0"></v-breadcrumbs>

  <course-title
    title="C++"
    subtitle="для студентов и школьников"
    :img="require('@/assets/img/logo-cpp.svg')"
    ></course-title>

  <qa title="С чем можно обращаться">
    <ul class="mb-5">
      <li>Изучение языка программирования C++ с нуля</li>
      <li>Подготовка к экзаменам</li>
      <li>Написание программ (включая программы под Linux, и на C тоже)</li>
    </ul>

    <v-alert type="info" border="left" colored-border>
      <b>Забавный факт</b>. За помощью в изучении языка C ко мне
      обращались те, кто на тот момент проходил курсы в одном очень
      крупном учебном центре (так как не всё было понятно).
    </v-alert>

    <v-alert type="info" border="left" colored-border>
      Обращались также русские студенты, которые учатся в других странах.
    </v-alert>
  </qa>

  <where></where>

  <qa title="Стоимость">
    <prices-regular/>

    <stud-lab-note></stud-lab-note>
  </qa>

</v-container>
</template>

<script>
export default {
  metaInfo: {
    title: 'C++',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Изучение C++ для для школьников и студентов',
      },
    ],
  },
  components: {
    'prices-regular': () => import('@/common/PricesRegular.vue'),
    qa: () => import('@/common/QA.vue'),
    'stud-lab-note': () => import('@/common/StudLabNote.vue'),
    'course-title': () => import('@/common/CourseTitle.vue'),
    where: () => import('@/common/Where.vue'),
  },
  data: () => ({
    items: [
      {
        text: 'Курсы',
        to: '/courses',
        exact: true,
      },
      {
        text: 'C++',
        to: '/courses/cpp-student',
      },
    ],
  }),
};
</script>
